<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Kim&#39;s Blog</title>
    <meta name="generator" content="VuePress 1.5.3">
    
    <meta name="description" content="blog">
    <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no">
    <link rel="preload" href="/assets/css/0.styles.8c6d67fa.css" as="style"><link rel="preload" href="/assets/js/app.f79aaf1b.js" as="script"><link rel="preload" href="/assets/js/3.40949213.js" as="script"><link rel="preload" href="/assets/js/1.45cdc0bc.js" as="script"><link rel="preload" href="/assets/js/11.69480268.js" as="script"><link rel="prefetch" href="/assets/js/10.eccaa533.js"><link rel="prefetch" href="/assets/js/12.3c3411c1.js"><link rel="prefetch" href="/assets/js/13.d6c60239.js"><link rel="prefetch" href="/assets/js/14.5898e3f3.js"><link rel="prefetch" href="/assets/js/15.770338a8.js"><link rel="prefetch" href="/assets/js/16.468a7f02.js"><link rel="prefetch" href="/assets/js/17.ece8c611.js"><link rel="prefetch" href="/assets/js/18.7d220266.js"><link rel="prefetch" href="/assets/js/19.d217c03d.js"><link rel="prefetch" href="/assets/js/20.501166b7.js"><link rel="prefetch" href="/assets/js/4.ff278163.js"><link rel="prefetch" href="/assets/js/5.63826204.js"><link rel="prefetch" href="/assets/js/6.2d9a86c7.js"><link rel="prefetch" href="/assets/js/7.f3b13efb.js"><link rel="prefetch" href="/assets/js/8.c3cc9275.js"><link rel="prefetch" href="/assets/js/9.ce4f607d.js">
    <link rel="stylesheet" href="/assets/css/0.styles.8c6d67fa.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container no-sidebar" data-v-dad8a512><div data-v-dad8a512><div id="loader-wrapper" class="loading-wrapper" data-v-d48f4d20 data-v-dad8a512 data-v-dad8a512><div class="loader-main" data-v-d48f4d20><div data-v-d48f4d20></div><div data-v-d48f4d20></div><div data-v-d48f4d20></div><div data-v-d48f4d20></div></div> <h3 class="title" data-v-d48f4d20>Kim's Blog</h3> <p class="description" data-v-d48f4d20>blog</p></div> <div class="password-shadow password-wrapper-out" style="display:none;" data-v-64685f0e data-v-dad8a512 data-v-dad8a512><h3 class="title" style="display:none;" data-v-64685f0e data-v-64685f0e>Kim's Blog</h3> <!----> <label id="box" class="inputBox" style="display:none;" data-v-64685f0e data-v-64685f0e><input type="password" value="" data-v-64685f0e> <span data-v-64685f0e>Konck! Knock!</span> <button data-v-64685f0e>OK</button></label> <div class="footer" style="display:none;" data-v-64685f0e data-v-64685f0e><span data-v-64685f0e><i class="iconfont reco-theme" data-v-64685f0e></i> <a target="blank" href="https://vuepress-theme-reco.recoluan.com" data-v-64685f0e>vuePress-theme-reco</a></span> <span data-v-64685f0e><i class="iconfont reco-copyright" data-v-64685f0e></i> <a data-v-64685f0e><span data-v-64685f0e>Kim's Blog</span>
            
          <!---->
          2020
        </a></span></div></div> <div class="hide" data-v-dad8a512><header class="navbar" data-v-dad8a512><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/" class="home-link router-link-active"><!----> <span class="site-name">Kim's Blog</span></a> <div class="links"><!----> <div class="search-box"><i class="iconfont reco-search"></i> <input aria-label="Search" autocomplete="off" spellcheck="false" value=""> <!----></div> <nav class="nav-links can-hide"><div class="nav-item"><a href="/" class="nav-link"><i class="iconfont reco-home"></i>
  Home
</a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont reco-category"></i>
      Category
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="/categories/工作室分享/" class="nav-link"><i class="iconfont undefined"></i>
  工作室分享
</a></li><li class="dropdown-item"><!----> <a href="/categories/iOS 开发/" class="nav-link"><i class="iconfont undefined"></i>
  iOS 开发
</a></li><li class="dropdown-item"><!----> <a href="/categories/前端那些事儿/" class="nav-link"><i class="iconfont undefined"></i>
  前端那些事儿
</a></li><li class="dropdown-item"><!----> <a href="/categories/系统环境/" class="nav-link"><i class="iconfont undefined"></i>
  系统环境
</a></li><li class="dropdown-item"><!----> <a href="/categories/值得了解的骚操作/" class="nav-link"><i class="iconfont undefined"></i>
  值得了解的骚操作
</a></li><li class="dropdown-item"><!----> <a href="/categories/Apple/" class="nav-link"><i class="iconfont undefined"></i>
  Apple
</a></li></ul></div></div><div class="nav-item"><a href="/tag/" class="nav-link"><i class="iconfont reco-tag"></i>
  Tag
</a></div><div class="nav-item"><a href="/timeline/" class="nav-link"><i class="iconfont reco-date"></i>
  TimeLine
</a></div><div class="nav-item"><a href="/friends.html" class="nav-link"><i class="iconfont reco-github"></i>
  Friends
</a></div><div class="nav-item"><a href="https://github.com/KimYangOfCat" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-github"></i>
  GitHub
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont undefined"></i>
      other
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="https://www.zhihu.com/people/kim_yang" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-zhihu"></i>
  知乎
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-csdn"></i>
  CSDN
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-mayun"></i>
  Gitee
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li></ul></div></div> <!----></nav></div></header> <div class="sidebar-mask" data-v-dad8a512></div> <aside class="sidebar" data-v-dad8a512><div class="personal-info-wrapper" data-v-ca798c94 data-v-dad8a512><img src="/avatar.jpg" alt="author-avatar" class="personal-img" data-v-ca798c94> <h3 class="name" data-v-ca798c94>
    Kim's Blog
  </h3> <div class="num" data-v-ca798c94><div data-v-ca798c94><h3 data-v-ca798c94>8</h3> <h6 data-v-ca798c94>Article</h6></div> <div data-v-ca798c94><h3 data-v-ca798c94>10</h3> <h6 data-v-ca798c94>Tag</h6></div></div> <hr data-v-ca798c94></div> <nav class="nav-links"><div class="nav-item"><a href="/" class="nav-link"><i class="iconfont reco-home"></i>
  Home
</a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont reco-category"></i>
      Category
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="/categories/工作室分享/" class="nav-link"><i class="iconfont undefined"></i>
  工作室分享
</a></li><li class="dropdown-item"><!----> <a href="/categories/iOS 开发/" class="nav-link"><i class="iconfont undefined"></i>
  iOS 开发
</a></li><li class="dropdown-item"><!----> <a href="/categories/前端那些事儿/" class="nav-link"><i class="iconfont undefined"></i>
  前端那些事儿
</a></li><li class="dropdown-item"><!----> <a href="/categories/系统环境/" class="nav-link"><i class="iconfont undefined"></i>
  系统环境
</a></li><li class="dropdown-item"><!----> <a href="/categories/值得了解的骚操作/" class="nav-link"><i class="iconfont undefined"></i>
  值得了解的骚操作
</a></li><li class="dropdown-item"><!----> <a href="/categories/Apple/" class="nav-link"><i class="iconfont undefined"></i>
  Apple
</a></li></ul></div></div><div class="nav-item"><a href="/tag/" class="nav-link"><i class="iconfont reco-tag"></i>
  Tag
</a></div><div class="nav-item"><a href="/timeline/" class="nav-link"><i class="iconfont reco-date"></i>
  TimeLine
</a></div><div class="nav-item"><a href="/friends.html" class="nav-link"><i class="iconfont reco-github"></i>
  Friends
</a></div><div class="nav-item"><a href="https://github.com/KimYangOfCat" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-github"></i>
  GitHub
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></div><div class="nav-item"><div class="dropdown-wrapper"><a class="dropdown-title"><span class="title"><i class="iconfont undefined"></i>
      other
    </span> <span class="arrow right"></span></a> <ul class="nav-dropdown" style="display:none;"><li class="dropdown-item"><!----> <a href="https://www.zhihu.com/people/kim_yang" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-zhihu"></i>
  知乎
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-csdn"></i>
  CSDN
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li><li class="dropdown-item"><!----> <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer" class="nav-link external"><i class="iconfont reco-mayun"></i>
  Gitee
  <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li></ul></div></div> <!----></nav> <!----> </aside> <div class="password-shadow password-wrapper-in" style="display:none;" data-v-64685f0e data-v-dad8a512><h3 class="title" style="display:none;" data-v-64685f0e data-v-64685f0e></h3> <!----> <label id="box" class="inputBox" style="display:none;" data-v-64685f0e data-v-64685f0e><input type="password" value="" data-v-64685f0e> <span data-v-64685f0e>Konck! Knock!</span> <button data-v-64685f0e>OK</button></label> <div class="footer" style="display:none;" data-v-64685f0e data-v-64685f0e><span data-v-64685f0e><i class="iconfont reco-theme" data-v-64685f0e></i> <a target="blank" href="https://vuepress-theme-reco.recoluan.com" data-v-64685f0e>vuePress-theme-reco</a></span> <span data-v-64685f0e><i class="iconfont reco-copyright" data-v-64685f0e></i> <a data-v-64685f0e><span data-v-64685f0e>Kim's Blog</span>
            
          <!---->
          2020
        </a></span></div></div> <div data-v-dad8a512><div class="home-blog"><div class="hero" style="text-align:center;overflow:hidden;background:\n          url(/assets/img/bg.2cfdbb33.svg) center/cover no-repeat\n        ;"><div><!----> <!----> <!----></div></div> <div class="home-blog-wrapper" style="display:none;"><div class="blog-list"><div class="abstract-wrapper" data-v-b014bc36><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-11-17-searchSkill.html" data-v-88899192>那些值得了解的搜索技巧，你都知道吗？</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-11-17</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>技巧</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-10-19-zsh.html" data-v-88899192>Ubuntu 安装配置 oh-my-zsh</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-10-19</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>环境配置</span><span class="tag-item" data-v-3b7f5bdf>工具</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-10-18-MongoDB.html" data-v-88899192>macOS 下 MongoDB 配置与使用</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-10-18</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>环境配置</span><span class="tag-item" data-v-3b7f5bdf>前端</span><span class="tag-item" data-v-3b7f5bdf>数据库</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-08-01-MacbookPro.html" data-v-88899192>为什么你值得入手一个 Macbook？</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-08-01</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>MacOS</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-06-07-swiftLearning2.html" data-v-88899192>MVC</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-06-07</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>Swift</span><span class="tag-item" data-v-3b7f5bdf>iOS</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-06-01-swiftLearning1.html" data-v-88899192>Introduction to iOS11, Xcode 9 and Swift 4</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-06-01</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>Swift</span><span class="tag-item" data-v-3b7f5bdf>iOS</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-05-31-CPU-en.html" data-v-88899192>CPU analysis and Software design summary</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-05-31</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>硬件</span><span class="tag-item" data-v-3b7f5bdf>总结</span></i></div></div><div class="abstract-item" data-v-88899192 data-v-b014bc36><!----> <div class="title" data-v-88899192><!----> <a href="/posts/2019-05-31-CPU.html" data-v-88899192>CPU 简析以及软件设计总结</a></div> <div class="abstract" data-v-88899192></div> <div data-v-3b7f5bdf data-v-88899192><i class="iconfont reco-account" data-v-3b7f5bdf><span data-v-3b7f5bdf>Kim's Blog</span></i> <i class="iconfont reco-date" data-v-3b7f5bdf><span data-v-3b7f5bdf>2019-05-31</span></i> <!----> <i class="iconfont reco-tag tags" data-v-3b7f5bdf><span class="tag-item" data-v-3b7f5bdf>硬件</span><span class="tag-item" data-v-3b7f5bdf>总结</span></i></div></div></div> <div class="pagation pagation" style="display:none;" data-v-b20da080><div class="pagation-list" data-v-b20da080><span unselectable="on" class="jump" style="display:none;" data-v-b20da080>Prev</span> <span class="jump" style="display:none;" data-v-b20da080>1</span> <span class="ellipsis" style="display:none;" data-v-b20da080>...</span> <span class="jump bgprimary" data-v-b20da080>1</span> <span class="ellipsis" style="display:none;" data-v-b20da080>...</span> <span class="jump" style="display:none;" data-v-b20da080>1</span> <span class="jump" style="display:none;" data-v-b20da080>Next</span> <span class="jumppoint" data-v-b20da080>Jump To</span> <span class="jumpinp" data-v-b20da080><input type="text" value="" data-v-b20da080></span> <span class="jump gobtn" data-v-b20da080>Go</span></div></div></div> <div class="info-wrapper"><div class="personal-info-wrapper" data-v-ca798c94><img src="/avatar.jpg" alt="author-avatar" class="personal-img" data-v-ca798c94> <h3 class="name" data-v-ca798c94>
    Kim's Blog
  </h3> <div class="num" data-v-ca798c94><div data-v-ca798c94><h3 data-v-ca798c94>8</h3> <h6 data-v-ca798c94>Article</h6></div> <div data-v-ca798c94><h3 data-v-ca798c94>10</h3> <h6 data-v-ca798c94>Tag</h6></div></div> <hr data-v-ca798c94></div> <h4><i class="iconfont reco-category"></i> Category</h4> <ul class="category-wrapper"><li class="category-item"><a href="/categories/工作室分享/"><span class="category-name">工作室分享</span> <span class="post-num" style="background-color:#f47e60;">2</span></a></li><li class="category-item"><a href="/categories/iOS 开发/"><span class="category-name">iOS 开发</span> <span class="post-num" style="background-color:#3498db;">2</span></a></li><li class="category-item"><a href="/categories/前端那些事儿/"><span class="category-name">前端那些事儿</span> <span class="post-num" style="background-color:#e15b64;">1</span></a></li><li class="category-item"><a href="/categories/系统环境/"><span class="category-name">系统环境</span> <span class="post-num" style="background-color:#f47e60;">1</span></a></li><li class="category-item"><a href="/categories/值得了解的骚操作/"><span class="category-name">值得了解的骚操作</span> <span class="post-num" style="background-color:#67cc86;">1</span></a></li><li class="category-item"><a href="/categories/Apple/"><span class="category-name">Apple</span> <span class="post-num" style="background-color:#abbd81;">1</span></a></li></ul> <hr> <h4><i class="iconfont reco-tag"></i> Tag</h4> <div class="tags" data-v-bb4232a6><span style="background-color:#3498db;" data-v-bb4232a6>All</span><span style="background-color:#f8b26a;" data-v-bb4232a6>硬件</span><span style="background-color:#e15b64;" data-v-bb4232a6>总结</span><span style="background-color:#3498db;" data-v-bb4232a6>Swift</span><span style="background-color:#3498db;" data-v-bb4232a6>iOS</span><span style="background-color:#f47e60;" data-v-bb4232a6>环境配置</span><span style="background-color:#f8b26a;" data-v-bb4232a6>前端</span><span style="background-color:#f47e60;" data-v-bb4232a6>数据库</span><span style="background-color:#fb9b5f;" data-v-bb4232a6>工具</span><span style="background-color:#f8b26a;" data-v-bb4232a6>技巧</span><span style="background-color:#67cc86;" data-v-bb4232a6>MacOS</span></div> <h4><i class="iconfont reco-friend"></i> Friend Link</h4> <div class="friend-link-wrapper" data-v-00d18f84><div target="_blank" class="friend-link-item" data-v-00d18f84><span class="list-style" style="background-color:#f26d6d;" data-v-00d18f84></span>
    vuepress-theme-reco
    <div class="popup-window-wrapper" data-v-00d18f84 data-v-00d18f84><div class="popup-window" data-v-00d18f84><div class="logo" data-v-00d18f84><img src="https://vuepress-theme-reco.recoluan.com/icon_vuepress_reco.png" data-v-00d18f84></div> <div class="info" data-v-00d18f84><div class="title" data-v-00d18f84><h4 data-v-00d18f84>vuepress-theme-reco</h4> <a href="https://vuepress-theme-reco.recoluan.com" target="_blank" class="btn-go" style="background-color:#f26d6d;" data-v-00d18f84>GO</a></div> <p data-v-00d18f84>A simple and beautiful vuepress Blog &amp; Doc theme.</p></div></div></div></div><div target="_blank" class="friend-link-item" data-v-00d18f84><span class="list-style" style="background-color:#3498db;" data-v-00d18f84></span>
    午后南杂
    <div class="popup-window-wrapper" data-v-00d18f84 data-v-00d18f84><div class="popup-window" data-v-00d18f84><div class="logo" data-v-00d18f84><img src="//1.gravatar.com/avatar/22b7dff0e492a2055c1f44871eb03ae7?s=50&amp;amp;d=mm&amp;amp;r=x" data-v-00d18f84></div> <div class="info" data-v-00d18f84><div class="title" data-v-00d18f84><h4 data-v-00d18f84>午后南杂</h4> <a href="https://www.recoluan.com" target="_blank" class="btn-go" style="background-color:#3498db;" data-v-00d18f84>GO</a></div> <p data-v-00d18f84>Enjoy when you can, and endure when you must.</p></div></div></div></div></div></div></div> <div custom="" class="home-center content__default" style="display:none;"><h2 id="我是谁"><a href="#我是谁" class="header-anchor">#</a> 我是谁</h2> <p>我是 Kim Yang，一个爱仰望星空的人。</p> <h2 id="我了解的"><a href="#我了解的" class="header-anchor">#</a> 我了解的</h2> <h3 id="编程语言"><a href="#编程语言" class="header-anchor">#</a> 编程语言</h3> <p>目前位置了解并且使用过的语言有 C++、Python 和 Swift；</p> <h4 id="c"><a href="#c" class="header-anchor">#</a> C++</h4> <p>对于这门语言，只能说极其复杂，在我目前的项目经历中，并没有实际应用到这门语言，但这门语言有许多的精华值得去研究，待他日有所心得再来填此坑。</p> <h4 id="python"><a href="#python" class="header-anchor">#</a> Python</h4> <p>目前 Python 这门语言可谓是大火，因其强大的第三方库，使其在AI、ML、爬虫、数据分析和 Web 后端等多个领域都有不错的应用，但个人认为学习入门需要谨慎。个人认为 Python 并不适合作为主要语言学习，毕竟它的应用领域处于两级分化的状态，AI、ML 等领域需要深厚的数学功底，而爬虫的应用从社会层面又是比较复杂的，且其在 Web 后端的性能又不足以比肩 Java 等语言。</p> <p>在实际项目经历中，曾使用 Python 写过简单的文本分类模型和 Web 后端。由此简单入门自然语言处理 (NLP)、图像模式识别、语音情感识别等多个深度学习领域，并对 Kreas、 Tensorflow 等常见深度的学习模型库有了初步了解和应用。</p> <h4 id="swift"><a href="#swift" class="header-anchor">#</a> Swift</h4> <p>据 Apple 官方宣传：“Swift 是最适合新手入门的一编程语言！”虽然目前位置我还没有真是体验这话中之意，但从今后的编程语言向声明式语言的趋势来看，Swift 还是值得学习的。</p> <p>目前正处于入门学习阶段，用 Swift 写一款 APP 上架是目前正在努力的方向！</p> <h3 id="操作系统"><a href="#操作系统" class="header-anchor">#</a> 操作系统</h3> <p>对于目前主流的三大操作系统：Windows、MacOS 和 Linux，均有过了解和使用；从 Windows 入门，但目前日常开发使用 MacOS，生产部署使用 Linux，且偏爱 Ubuntu。</p> <h3 id="美工影创"><a href="#美工影创" class="header-anchor">#</a> 美工影创</h3> <p>对于美工设计和影视创作，由于参与竞赛，故对这方面有所粗浅了解。日常使用工具从 Axure、Ps、Pr 和 Ae 到 Sketch 和 Apple三件套（FCP、Motion、iMovie）等。</p> <h3 id="科研方向"><a href="#科研方向" class="header-anchor">#</a> 科研方向</h3> <p>目前的选择的研究方向是计算机网络，尚在入门阶段，哪敢说话！</p> <h2 id="联系我"><a href="#联系我" class="header-anchor">#</a> 联系我</h2> <ul><li>微博：<a href="https://weibo.com/6373489690/profile?topnav=1&amp;wvr=6&amp;is_all=1" target="_blank" rel="noopener noreferrer">KimYangLikeCat<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li> <li>CSDN: <a href="https://me.csdn.net/weixin_43316691" target="_blank" rel="noopener noreferrer">不会秃头的阿Kim<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li> <li>知乎: <a href="https://www.zhihu.com/people/kim_yang" target="_blank" rel="noopener noreferrer">不会秃头的阿Kim<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li> <li>Github: <a href="https://github.com/KimYangOfCat" target="_blank" rel="noopener noreferrer">KimYangOfCat<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg></a></li> <li>E-mail：kim_yang95@163.com</li></ul></div></div> <div class="footer-wrapper footer" data-v-125ceb1c><span data-v-125ceb1c><i class="iconfont reco-theme" data-v-125ceb1c></i> <a target="blank" href="https://vuepress-theme-reco.recoluan.com" data-v-125ceb1c>vuepress-theme-reco@1.5.5</a></span> <!----> <span data-v-125ceb1c><i class="iconfont reco-copyright" data-v-125ceb1c></i> <a data-v-125ceb1c><span data-v-125ceb1c>Kim's Blog</span>
        
      <!---->
      2020
    </a></span> <span style="display:none;" data-v-125ceb1c><i class="iconfont reco-eye" data-v-125ceb1c></i> <span id="/" data-flag-title="Your Article Title" class="leancloud-visitors" data-v-125ceb1c><a class="leancloud-visitors-count"></a></span></span> <!----> <div class="comments-wrapper" style="display:none;" data-v-125ceb1c><!----></div></div></div></div></div></div><div class="global-ui"><div class="back-to-ceiling" style="right:1rem;bottom:6rem;width:2.5rem;height:2.5rem;border-radius:.25rem;line-height:2.5rem;display:none;" data-v-c6073ba8 data-v-c6073ba8><svg t="1574745035067" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="5404" class="icon" data-v-c6073ba8><path d="M526.60727968 10.90185116a27.675 27.675 0 0 0-29.21455937 0c-131.36607665 82.28402758-218.69155461 228.01873535-218.69155402 394.07834331a462.20625001 462.20625001 0 0 0 5.36959153 69.94390903c1.00431239 6.55289093-0.34802892 13.13561351-3.76865779 18.80351572-32.63518765 54.11355614-51.75690182 118.55860487-51.7569018 187.94566865a371.06718723 371.06718723 0 0 0 11.50484808 91.98906777c6.53300375 25.50556257 41.68394495 28.14064038 52.69160883 4.22606766 17.37162448-37.73630017 42.14135425-72.50938081 72.80769204-103.21549295 2.18761121 3.04276886 4.15646224 6.24463696 6.40373557 9.22774369a1871.4375 1871.4375 0 0 0 140.04691725 5.34970492 1866.36093723 1866.36093723 0 0 0 140.04691723-5.34970492c2.24727335-2.98310674 4.21612437-6.18497483 6.3937923-9.2178004 30.66633723 30.70611158 55.4360664 65.4791928 72.80769147 103.21549355 11.00766384 23.91457269 46.15860503 21.27949489 52.69160879-4.22606768a371.15156223 371.15156223 0 0 0 11.514792-91.99901164c0-69.36717486-19.13165746-133.82216804-51.75690182-187.92578088-3.42062944-5.66790279-4.76302748-12.26056868-3.76865837-18.80351632a462.20625001 462.20625001 0 0 0 5.36959269-69.943909c-0.00994388-166.08943902-87.32547796-311.81420293-218.6915546-394.09823051zM605.93803103 357.87693858a93.93749974 93.93749974 0 1 1-187.89594924 6.1e-7 93.93749974 93.93749974 0 0 1 187.89594924-6.1e-7z" p-id="5405" data-v-c6073ba8></path><path d="M429.50777625 765.63860547C429.50777625 803.39355007 466.44236686 1000.39046097 512.00932183 1000.39046097c45.56695499 0 82.4922232-197.00623328 82.5015456-234.7518555 0-37.75494459-36.9345906-68.35043303-82.4922232-68.34111062-45.57627738-0.00932239-82.52019037 30.59548842-82.51086798 68.34111062z" p-id="5406" data-v-c6073ba8></path></svg></div></div></div>
    <script src="/assets/js/app.f79aaf1b.js" defer></script><script src="/assets/js/3.40949213.js" defer></script><script src="/assets/js/1.45cdc0bc.js" defer></script><script src="/assets/js/11.69480268.js" defer></script>
  </body>
</html>
